<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$modelo=$sessao->getVar('controle');
$preenchimento=$sessao->getVar('controle1');

$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$anoCorrente=$sessao->getVar('anocorrente');
$anoAmostra=$anoCorrente;
$finalidade=$sessao->getVar('finalidade');
echo ("finalidade= $finalidade<br>");
$enquadramento=$finalidade;
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();
$controle=$sessao->getVar('controle');
if($controle=="listaGeral")$tituloRelatorio="Lista geral de Requerentes:";
if($controle=="listaSemRenasem")$tituloRelatorio="Lista de Requerentes sem RENASEM:";
if($controle=="listaComRenasem")$tituloRelatorio="Lista de Requerentes com RENASEM:";


$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',7);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     //$fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 

			//aqi imprime O ULTIMO..
			//$matrizLargura[13]=70;
     		$pdf->setXY(239,$cota1);
			$largura=$matrizLargura[13];
			$larguraTexto=ceil($largura*.7);
			$texto=$matrizTitulo[13];
			$texto=substr($texto,0,$largura);//pois as vezes vai acavalar alguns textos
		    $pdf->Cell($largura,10,utf8_decode($texto),1,0,'C',1);//lab nome






            //cria o array conteudo################################################33
			//ENTRA DE QUAKQUER MANEIRA
	            $user = new remetentes();
				if($controle=="listaGeral")$user->extras_select = "WHERE  prd_id_lab=".$idLabo." order by prd_nome";
				if($controle=="listaSemRenasem")$user->extras_select = "WHERE  prd_renasem='' and prd_id_lab=".$idLabo." order by prd_nome";
				if($controle=="listaComRenasem")$user->extras_select = "WHERE  prd_renasem!='' and prd_id_lab=".$idLabo." order by prd_nome";



                $user->selecionaTudo($user);
                $contador=0;
                while ($res = $user->retornaDados()):
                    $contador++;
			        $matrizConteudo[$contador][0]=$contador;//
			        $matrizConteudo[$contador][1]=$res->prd_nome;//
			        $matrizConteudo[$contador][2]=$res->prd_cpf;//
			        $matrizConteudo[$contador][3]=$res->prd_endereco;//
			        $matrizConteudo[$contador][4]=$res->prd_municipio;//
			        $matrizConteudo[$contador][5]=$res->prd_renasem;//
                endwhile;                
			    $totalPaginas=ceil($contador/30);//arredonda para cima

			
			//	$pdf->Cell($largura,5,"xxxxxxxxxxxxxxx" .$contador ." limite=". $limite,1,0,'L');//lab nome		
//agora imprime	o corpo		
//o indice vai permitir eu imprimir na ordem que eu quiser e inclusive suprimir linhas	
			//se a pessoa quer imprimir um protocolo vazio(para documentação da qualidade)
			if($preenchimento=="branco"):
               $contador=0;
			endif;
			
            //para cada modelo defino as larguras e os titulos. Suprimo as colunas que nao usar
			//com isso ja consigo que ele me mostre so o que eu realmente quero no livro
			//no vetor indices eu digo quais as colunas e em que posicao relativa
			$matrizLargura[0]=10;$matrizTitulo[0]='Nº';
			$matrizLargura[1]=85;$matrizTitulo[1]='Nome';
			$matrizLargura[2]=25; $matrizTitulo[2]='CPF/CNPJ';
			$matrizLargura[3]=85; $matrizTitulo[3]='Endereço';
			$matrizLargura[4]=51;$matrizTitulo[4]='Município';
			$matrizLargura[5]=25; $matrizTitulo[5]='RENASEM';
			$limite=sizeof($matrizLargura);

		    $cinza=230;
			$pdf->SetFillColor($cinza,$cinza,$cinza); 
			$pdf->SetFont('Arial','',7);	
			$contadorLinhasPagina=0;
			$numeroPagina=0;
			
			//cria a tabela que vai exportar para excel
			$tabela = '<table border="1">';
			$tabela .= '<tr>';
			 $tabela .= '<td colspan="8">Exportacao de dados para Excel - Sistema SilasNet</tr>';//usa para o titulo tantas colunas quanto foi definido em coslpan
			 $tabela .= '</tr>';
			 $tabela .= '<tr>';
			 for($je=1;$je<=20;$je++):
				$tabela .= '<td>'.utf8_decode($matrizTitulo[$je]).'</td>';
			 endfor;
			 //so para ver como adiciona as colunas...hihihi
			 //$tabela .= '<td><b>Nome</b></td>';
			 //$tabela .= '<td><b>Email</b></td>';
			 $tabela .= '</tr>';

			
			for($i=1;$i<=$contador;$i++):
			    $cota1+=4.5;
			    //imprime o timbrado
                //se o contador é igual a 0, imprime o timbrado  
				if($contadorLinhasPagina==0):
				    $pdf->AddPage();//adicionando a primera pafina 
                    $numeroPagina++;
                    //$pdf->SetFont('Times','',7);
			        //cabecalho
				 	$posicaoCab1=60;$posicaoCab2=245;
		            $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
		            $pdf->Image($caminhoFinal,11,3,24,12,'JPG');
					$cota1=5;			
                    //CABECALHO 
					$pdf->SetFont('Arial','',10);
					$pdf->setXY($posicaoCab1,$cota1);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[0]),0,1,'L');//lab nome
					$pdf->setXY($posicaoCab1,$cota1+5);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[1]),0,1,'L');//lab nome
					$pdf->setXY($posicaoCab1,$cota1+10);$pdf->Cell(140,5,utf8_decode($vetorCabecalho[2]),0,1,'L');//lab nome
					//IMPRIME SE É COM OU SEM RENASEM
					$pdf->setXY($margemEsquerda,$cota1+18);$pdf->Cell($larguraUtil,5,utf8_decode($tituloRelatorio),1,1,'L',1);//lab nome



           $cota1+=30;


			$pdf->setXY($margemEsquerda,$cota1);
					
					
					
		            //$pdf->Rect($margemEsquerda,$cota1,$larguraUtil-2,10,'FD');//sintaxe do rect  (x,y,largura,altura'fill draw'	

					for($j=0;$j<=5;$j++):
						$largura=$matrizLargura[$j];
						$larguraTexto=ceil($largura*.7);
						$texto=$matrizTitulo[$j];
						$texto=substr($texto,0,$largura);//pois as vezes vai acavalar alguns textos
		     			$pdf->Cell($largura,10,utf8_decode($texto),1,0,'C',1);//lab nome
					endfor;
					
					$cota1=45;
					
				endif;//aqui encerra o if que controla o contador de paginas e imprime cabecalho e dao salto de pagina

			    $contadorLinhasPagina++;
				if($contadorLinhasPagina==30)://colocar 30 depois
				   $contadorLinhasPagina=0;
				   
				endif;
			
			    //negritar linhas de cores alternadas
				$file=0;  
			    if($i % 2 == 0):
				    $file=1;
			    endif;	
				
					
				$pdf->setXY($margemEsquerda,$cota1);
	            $tabela .= '<tr>';
                $pdf->SetFont('Arial','',7); 
                for($j=0;$j<$limite;$j++): 
					$largura=$matrizLargura[$j];
					$larguraTexto=ceil($largura*.7);
					$texto=$matrizConteudo[$i][$j];
					$tabela .= '<td>'.$texto.'</td>';
					$texto=substr($texto,0,$larguraTexto);//pois as vezes vai acavalar alguns textos
				    $pdf->Cell($largura,4.5,utf8_decode($texto),1,0,'C',$file);//lab nome
                endfor;
		        $tabela .= '</tr>';
            endfor;
			
		   $tabela .= '</table>';
		   $sessao->setVar('controleExcel',$tabela);
   				
				/////////////
			//endfor;
			
	
			
			ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
